## mysql-workbench-gpl-5.2.47-src.zip

=== ext/cppconn/examples/CMakeLists.txt ===
#
# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


SET(CMAKE_VERBOSE_MAKEFILE 0)



SET(MYSQLCPPCONN_BUILD_EXAMPLES 1 CACHE BOOL "build-examples")
IF(MYSQLCPPCONN_BUILD_EXAMPLES)
	INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR})
	LINK_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR}/cppconn)

	IF(WIN32)
		INCLUDE_DIRECTORIES(${MYSQLCPPCONN_SOURCE_DIR/cppconn})

		IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
			LINK_DIRECTORIES(${MYSQL_DIR}/lib/debug)
		ELSEIF(CMAKE_BUILD_TYPE STREQUAL "")
			LINK_DIRECTORIES(${MYSQL_DIR}/lib/opt)
		ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

		ADD_DEFINITIONS("-D_SCL_SECURE_NO_WARNINGS")

                SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn)
                IF(MYSQLCLIENT_STATIC_BINDING)
			SET(MY_TARGET_LINK_LIBRARIES ${MY_TARGET_LINK_LIBRARIES} libmysql)
                ENDIF(MYSQLCLIENT_STATIC_BINDING)
	ELSEIF(NOT WIN32)
		SET(MY_TARGET_LINK_LIBRARIES mysqlcppconn-static)
                IF(MYSQLCLIENT_STATIC_BINDING)
			SET(MY_TARGET_LINK_LIBRARIES ${MY_TARGET_LINK_LIBRARIES} mysqlclient_r)
                ENDIF(MYSQLCLIENT_STATIC_BINDING)
	ENDIF(WIN32)

	IF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)
		SET(MY_GCOV_LINK_LIBRARIES gcov)
	ENDIF(CMAKE_COMPILER_IS_GNUCC AND MYSQLCPPCONN_GCOV_ENABLE)

	ADD_EXECUTABLE(connect connect.cpp)
	SET_TARGET_PROPERTIES(connect PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(connect ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(connection_meta_schemaobj connection_meta_schemaobj.cpp)
	SET_TARGET_PROPERTIES(connection_meta_schemaobj PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(connection_meta_schemaobj ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(debug_output debug_output.cpp)
	SET_TARGET_PROPERTIES(debug_output PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(debug_output ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(exceptions exceptions.cpp)
	SET_TARGET_PROPERTIES(exceptions PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(exceptions ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(prepared_statement prepared_statement.cpp)
	SET_TARGET_PROPERTIES(prepared_statement PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(prepared_statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(resultset resultset.cpp)
	SET_TARGET_PROPERTIES(resultset PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(resultset ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(resultset_binary resultset_binary.cpp)
	SET_TARGET_PROPERTIES(resultset_binary PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(resultset_binary ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})


	ADD_EXECUTABLE(resultset_meta resultset_meta.cpp)
	SET_TARGET_PROPERTIES(resultset_meta PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(resultset_meta ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(resultset_types resultset_types.cpp)
	SET_TARGET_PROPERTIES(resultset_types PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(resultset_types ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(statement statement.cpp)
	SET_TARGET_PROPERTIES(statement PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(statement ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

	ADD_EXECUTABLE(dynamic_load dynamic_load.cpp)
	SET_TARGET_PROPERTIES(dynamic_load PROPERTIES
						LINK_FLAGS "${MYSQLCPPCONN_LINK_FLAGS_ENV} ${MYSQL_LINK_FLAGS}"
						COMPILE_FLAGS "${MYSQLCPPCONN_COMPILE_FLAGS_ENV} ${MYSQL_CXXFLAGS}")
	TARGET_LINK_LIBRARIES(dynamic_load ${MY_TARGET_LINK_LIBRARIES} ${MY_GCOV_LINK_LIBRARIES}
						  ${MYSQLCPPCONN_STLPORT_LIB} ${MYSQLCPPCONN_BOOST_SYSTEM_LIBS}
						  ${MYSQLCPPCONN_BOOST_THREAD_LIBS} ${MYSQLCPPCONN_ICU_LIBRARY})

ENDIF(MYSQLCPPCONN_BUILD_EXAMPLES)

MESSAGE(STATUS "Configuring examples")

=== ext/cppconn/win/CMakeLists.txt ===
#
# Copyright (c) 2008, 2011, Oracle and/or its affiliates. All rights reserved.
#
# The MySQL Connector/C++ is licensed under the terms of the GPLv2
# <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>, like most
# MySQL Connectors. There are special exceptions to the terms and
# conditions of the GPLv2 as it is applied to this software, see the
# FLOSS License Exception
# <http://www.mysql.com/about/legal/licensing/foss-exception.html>.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
#


CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

# This is Windows only, so just set one of two possible

SET(CONNECTOR_PLATFORM "Intel")
SET(CONNECTOR_PLATFORM_SUFFIX "win32")
SET(CONNECTOR_DEFAULT_DEST "ProgramFilesFolder")
IF(CMAKE_SIZEOF_VOID_P MATCHES 8)
  SET(CONNECTOR_PLATFORM "x64")
  SET(CONNECTOR_PLATFORM_SUFFIX "winx64")
  SET(CONNECTOR_DEFAULT_DEST "ProgramFiles64Folder")
ENDIF(CMAKE_SIZEOF_VOID_P MATCHES 8)


INCLUDE("config.cmake")


#####################################
# Looking for ms redistributable libs

SET(THE_MACHINE "x86")
SET(CRT_VERSION "90")

SET(MSVCRTX_REDIST_DIR "$ENV{VCINSTALLDIR}\\redist")

EXECUTE_PROCESS(COMMAND "dumpbin" "/DEPENDENTS" "${CMAKE_SOURCE_DIR}/../driver/RelWithDebInfo/mysqlcppconn.dll"
				OUTPUT_VARIABLE CPPLIB_DEPENDENCIES
				)

IF(${CPPLIB_DEPENDENCIES} MATCHES ".*MSVC.([0-9]+)[.]dll.*")
	STRING(REGEX REPLACE ".*MSVC.([0-9]+)[.]dll.*" "\\1" CRT_VERSION "${CPPLIB_DEPENDENCIES}")
ENDIF(${CPPLIB_DEPENDENCIES} MATCHES ".*MSVC.([0-9]+)[.]dll.*")

STRING(REGEX MATCHALL "(MSVC.[0-9][0-9][.]dll)" DEPENDENTS "${CPPLIB_DEPENDENCIES}")


# MESSAGE("${CRT_VERSION} ${MSVCRTX_REDIST_DIR} ${DEPENDENTS} ${MACHINE}")

FOREACH(_dir $ENV{LIB})
	# MESSAGE("${_dir}")
	# $ENV{VCINSTALLDIR}
	IF(${_dir} MATCHES ".+[\\]VC[\\]LIB[\\]([^\\]+)$")
		STRING(REGEX REPLACE ".+[\\]LIB[\\]([^\\]+)$" "\\1" THE_MACHINE "${_dir}")
		#MESSAGE("======= Have match for machine")
	ENDIF(${_dir} MATCHES ".+[\\]VC[\\]LIB[\\]([^\\]+)$")
ENDFOREACH(_dir $ENV{LIB})

# MESSAGE("-=${THE_MACHINE}=-")

SET(REQUIRED_REDISTRIBUTABLE_LIBS "")
SET(counter "1")
FOREACH(arg ${DEPENDENTS})
	MESSAGE(STATUS "Adding found dependency lib: ${THE_MACHINE}\\${arg}")
	SET(REQUIRED_REDISTRIBUTABLE_LIBS "${REQUIRED_REDISTRIBUTABLE_LIBS}
<File Id=\"file016${counter}\" Name=\"${arg}\" LongName=\"${arg}\" Source=\"${MSVCRTX_REDIST_DIR}\\${THE_MACHINE}\\Microsoft.VC${CRT_VERSION}.CRT\\${arg}\" />")

	MATH( EXPR counter "${counter} + 1" )
ENDFOREACH(arg ${DEPENDENTS})

SET(CONNECTOR_PRODUCT_DEST "MySQL Connector C++ ${CONNECTOR_PRODUCT_VERSION}")

# Generate GUID
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID1)
STRING(STRIP ${CONNECTOR_PKG_ID1} CONNECTOR_PKG_ID1)
EXECUTE_PROCESS(COMMAND uuidgen
                OUTPUT_VARIABLE CONNECTOR_PKG_ID2)
STRING(STRIP ${CONNECTOR_PKG_ID2} CONNECTOR_PKG_ID2)

# check if wix is in current path #
FIND_PATH(CONNECTOR_WIX_DIR candle.exe
        $ENV{CONNECTOR_WIX_DIR}
        $ENV{WIX_DIR}
        $ENV{WIX_DIR}/bin
        $ENV{ProgramFiles}/wix/bin
        $ENV{ProgramFiles}/Windows Installer */bin)

IF(NOT CONNECTOR_WIX_DIR)
  MESSAGE(ERROR "Wix not found. Please change your environment variable PATH or specify WIX_DIR")
ENDIF(NOT CONNECTOR_WIX_DIR)

IF (CONNECTOR_SIGNED)
  FIND_PROGRAM(HAVE_MD5SUM NAMES md5sum
  PATH ENV PATH)
  IF(NOT HAVE_MD5SUM)
    MESSAGE(ERROR "Can't find md5sum")
  ENDIF(NOT HAVE_MD5SUM)

  FIND_PROGRAM(HAVE_SIGNTOOL NAMES signtool
  PATH ENV PATH)
  IF(NOT HAVE_SIGNTOOL)
    MESSAGE(ERROR "Can't find signtool")
  ENDIF(NOT HAVE_SIGNTOOL)
ENDIF (CONNECTOR_SIGNED)

IF(NOT EXTRA_NAME_SUFFIX)
  SET(EXTRA_NAME_SUFFIX "")
ENDIF(NOT EXTRA_NAME_SUFFIX)

SET(WIXOUT "mysql-connector-c++${EXTRA_NAME_SUFFIX}-${CONNECTOR_PRODUCT_VERSION}${CONNECTOR_PRODUCT_LEVEL}-${CONNECTOR_PLATFORM_SUFFIX}")

SET(ProductURN "MSQZP-100-ZZZZ")

IF(EXISTS "../COPYING")
  SET(LIC_SHORT_NAME "COPYING")
  SET(LIC_NAME       "COPYING")
ELSE(EXISTS "../COPYING")
  SET(LIC_SHORT_NAME "LICENSE.mys")
  SET(LIC_NAME       "LICENSE.mysql")
ENDIF(EXISTS "../COPYING")

#-----------------------------------------------------

IF(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE.mysql")
  SET(LICENSE_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../LICENSE.mysql")
  SET(LICENSE_RTF  "${CMAKE_CURRENT_BINARY_DIR}/License.rtf")
ELSE()
  SET(LICENSE_FILE "${CMAKE_CURRENT_SOURCE_DIR}/../COPYING")
  SET(LICENSE_RTF  "${CMAKE_CURRENT_BINARY_DIR}/License.rtf")
ENDIF()
FILE(READ ${LICENSE_FILE} CONTENTS)
STRING(REGEX REPLACE "\n" "\\\\par\n" CONTENTS "${CONTENTS}")
STRING(REGEX REPLACE "\t" "\\\\tab" CONTENTS "${CONTENTS}")
FILE(WRITE "${LICENSE_RTF}"
     "{\\rtf1\\ansi\\deff0{\\fonttbl{\\f0\\fnil\\fcharset0 Courier New;}}\\viewkind4\\uc1\\pard\\lang1031\\f0\\fs15")
FILE(APPEND "${LICENSE_RTF}" "${CONTENTS}")
FILE(APPEND "${LICENSE_RTF}" "\n}\n")

#-----------------------------------------------------

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/mysql-conncpp-msi-template.xml.in
               ${CMAKE_CURRENT_SOURCE_DIR}/mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml @ONLY)

MESSAGE(STATUS "${WIXOUT}")

ADD_CUSTOM_COMMAND(OUTPUT "${WIXOUT}.wixobj"
                   COMMAND ${CONNECTOR_WIX_DIR}/candle mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.xml mysql-conncpp-msi-ui.xml)

ADD_CUSTOM_COMMAND(OUTPUT ${WIXOUT}.msi
                   COMMAND ${CONNECTOR_WIX_DIR}/light -o ${WIXOUT}.msi mysql-conncpp-msi-template.${CONNECTOR_PLATFORM}.wixobj mysql-conncpp-msi-ui.wixobj ${CONNECTOR_WIX_DIR}/WixUI.wixlib ${CONNECTOR_WIX_DIR}/wixca.wixlib -loc ${CONNECTOR_WIX_DIR}/WixUI_en-us.wxl
                   DEPENDS "${WIXOUT}.wixobj")

ADD_CUSTOM_TARGET(MSI ALL DEPENDS "${WIXOUT}.msi")

IF(CONNECTOR_SIGNED)
  ADD_CUSTOM_COMMAND(OUTPUT "${WIXOUT}.msi.md5"
                     COMMAND signtool sign -a -d "MySQL Connector C++ ${CONECTOR_PRODUCT_VERSION}" -du "http://www.mysql.com" -t "http://timestamp.verisign.com/scripts/timestamp.dll" ${WIXOUT}.msi
                     COMMAND md5sum ${WIXOUT}.msi > ${WIXOUT}.msi.md5)
  ADD_CUSTOM_TARGET(MSI_SIGNED ALL DEPENDS "${WIXOUT}.msi.md5")
ENDIF(CONNECTOR_SIGNED)

=== build/debian/changelog ===
mysql-workbench (5.2.47-1) unstable; urgency=low

  * New release

 -- Alfredo Kengi Kojima <alkojima@pandora03>  Thu, 07 Feb 2013 15:44:34 +0100

mysql-workbench (5.2.46-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 28 Dec 2012 16:25:09 -0300

mysql-workbench (5.2.45-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 09 Aug 2012 23:17:59 -0300

mysql-workbench (5.2.41-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 24 Apr 2012 23:09:58 -0300

mysql-workbench (5.2.40-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 12 Jan 2012 14:46:09 -0300

mysql-workbench (5.2.38-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 02 Nov 2011 20:29:31 -0300

mysql-workbench (5.2.36-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 27 May 2011 12:42:39 -0700

mysql-workbench (5.2.35-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Mon, 09 May 2011 17:08:46 -0300

mysql-workbench (5.2.34-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 08 Mar 2011 19:55:27 -0300

mysql-workbench (5.2.33-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 17 Feb 2011 13:45:02 -0300

mysql-workbench (5.2.32-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Fri, 03 Dec 2010 11:40:34 -0300

mysql-workbench (5.2.31-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 23 Nov 2010 12:27:21 -0300

mysql-workbench (5.2.30-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Wed, 29 Sep 2010 19:08:45 -0300

mysql-workbench (5.2.29-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Thu, 16 Sep 2010 21:11:21 -0300

mysql-workbench (5.2.28-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kengi.kojima@oracle.com>  Tue, 24 Aug 2010 10:06:33 -0300

mysql-workbench (5.2.26-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <akojima@gmail.com>  Thu, 22 Jul 2010 12:58:44 -0300

mysql-workbench (5.2.25-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 24 Jun 2010 23:44:27 -0300

mysql-workbench (5.2.24-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 17 Jun 2010 00:05:25 -0300

mysql-workbench (5.2.23-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 10 Jun 2010 12:57:48 -0300

mysql-workbench (5.2.22-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 27 May 2010 23:05:25 -0300

mysql-workbench (5.2.21-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 01 May 2010 19:27:07 -0300

mysql-workbench (5.2.20-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sat, 24 Apr 2010 14:19:45 -0300

mysql-workbench (5.2.19-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Thu, 15 Apr 2010 09:45:19 -0300

mysql-workbench (5.2.18-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <alfredo.kojima@sun.com>  Sun, 11 Apr 2010 00:55:22 -0300

mysql-workbench (5.2.17-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 22 Feb 2010 10:46:37 +0100

mysql-workbench (5.2.16-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Wed, 10 Feb 2010 17:46:06 -0300

mysql-workbench (5.2.15-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 25 Jan 2010 10:49:16 -0300

mysql-workbench (5.2.14-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 20 Jan 2010 15:34:01 +0100

mysql-workbench (5.2.13-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 19 Jan 2010 00:50:59 -0300

mysql-workbench (5.2.12-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 15 Jan 2010 09:32:44 +0100

mysql-workbench (5.2.11-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Fri, 11 Dec 2009 14:55:19 +0100

mysql-workbench (5.2.10-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Mon, 30 Nov 2009 12:47:31 +0100

mysql-workbench (5.2.9-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 26 Nov 2009 00:37:14 +0100

mysql-workbench (5.2.8-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 16 Nov 2009 12:24:42 -0300

mysql-workbench (5.2.7-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 21 Oct 2009 14:50:08 +0200

mysql-workbench (5.2.6-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Tue, 20 Oct 2009 22:32:21 +0200

mysql-workbench (5.2.5-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Wed, 14 Oct 2009 13:58:09 +0200

mysql-workbench (5.2.4-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Tue, 29 Sep 2009 21:28:09 -0300

mysql-workbench (5.2.3-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Thu, 10 Sep 2009 11:14:08 -0300

mysql-workbench (5.2.2-1) unstable; urgency=low

  * New release

 -- Alfredo Kojima <kojima@sun.com>  Mon, 20 Jul 2009 14:33:42 -0300

mysql-workbench (5.2.1-1) unstable; urgency=low

  * New release

 -- Johannes Taxacher <tax@sun.com>  Thu, 21 May 2009 13:55:51 +0200

mysql-workbench (5.1.12-1) unstable; urgency=low

  * New release



=== build/debian/control ===
Source: mysql-workbench
Section: utils
Priority: extra
Maintainer: MySQL Workbench team <workbench@sun.com>
Build-Depends: debhelper (>= 5), autoconf, automake, libtool, libzip-dev, libgtkmm-2.4-dev, libxml2-dev, libmysqlclient-dev, libgl1-mesa-dev, libpcre3-dev, liblua5.1-0-dev, python-dev (>= 2.5), python-pexpect, libgnome-keyring-dev, libsqlite3-dev, libboost-dev, xdg-utils, libctemplate-dev
Standards-Version: 3.7.2
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-gpl
Replaces: mysql-workbench-oss
Architecture: i386 amd64
Depends: ${shlibs:Depends}, python-paramiko, python-pexpect, mysql-client, python-pysqlite2
Suggests: gnome-keyring
Description: MySQL Workbench
 MySQL Workbench is a modeling tool that allows you to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

=== build/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ODBC_HOME=/home/mysqldev/odbc/usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh --disable-debug --enable-python-modules --prefix=/usr --enable-mysql-utilities --disable-dependency-tracking --with-odbc-cflags=-I$(ODBC_HOME)/include  "--with-odbc-libs=-L$(ODBC_HOME)/lib -liodbc"

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -j2
	#docbook-to-man debian/mysql-workbench.sgml > mysql-workbench.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mysql-workbench.
	$(MAKE) DESTDIR=$(CURDIR)/debian/mysql-workbench-gpl install
	$(MAKE) -C ext DESTDIR=$(CURDIR)/debian/mysql-workbench-gpl EXTRA_ARGS=--install-layout=deb install-utils
	$(MAKE) -C ext DESTDIR=$(CURDIR)/debian/mysql-workbench-gpl EXTRA_ARGS=--install-layout=deb install-connector
	
	# Bundle pyodbc and iodbc
	cp -a $(ODBC_HOME)/bin/iodbcadm-gtk $(CURDIR)/debian/mysql-workbench-gpl/usr/lib/mysql-workbench/
	cp -a $(ODBC_HOME)/lib/libiodbc*.so.* $(CURDIR)/debian/mysql-workbench-gpl/usr/lib/mysql-workbench/
	cp -a $(ODBC_HOME)/../pyodbc.so $(CURDIR)/debian/mysql-workbench-gpl/usr/lib/mysql-workbench/modules


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X*.sh
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	LD_LIBRARY_PATH=$(CURDIR)/debian/mysql-workbench-gpl/usr/lib/mysql-workbench/ dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
